package com.bleujin.spam.judgment;

import com.bleujin.spam.content.IContent;
import com.bleujin.spam.filter.Grade;
import com.bleujin.spam.filter.IFilter;

public class OverZeroStretegy extends Judgment {

	public boolean isGuilty(IContent content) {

		int point = 0;
		for (IFilter filter : filters) {
			Grade grade = filter.getGrade(content);
			point += grade.getPoint();
		}

		return point < 0;
	}

}
