package com.bleujin.spam.test;

import java.util.ArrayList;
import java.util.List;

import com.bleujin.spam.content.IContent;
import com.bleujin.spam.filter.Grade;
import com.bleujin.spam.filter.IFilter;

public class DuplContentFilter implements IFilter {

	private final List<IContent> RecentContent = new ArrayList<IContent>();

	public Grade getGrade(IContent content) {

		int foundCount = 0;
		for (IContent c : RecentContent) {
			if (c.getText().equals(content.getText())) {
				foundCount++;
			}
		}

		RecentContent.add(content);
		return new Grade(foundCount * -1, "message.exception.duplicate_content");
	}

}
