package com.bleujin.spam.filter;

import com.bleujin.framework.util.StringUtil;
import com.bleujin.spam.content.IContent;

public class EmptyContentFilter implements IFilter {

	private int emptyPoint ;
	private int notEmptyPoint ;
	
	public EmptyContentFilter(int emptyPoint, int notEmptyPoint){
		this.emptyPoint = emptyPoint ;
		this.notEmptyPoint = notEmptyPoint ;
	}
	
	public Grade getGrade(IContent content) {
		return new Grade(StringUtil.isEmpty(content.getText()) ? emptyPoint : notEmptyPoint, "message.exception.empty_content") ;
	}

}
